View Issue Details

IDProjectCategoryView StatusLast Update
0026516CommunityOCCT:Modeling Algorithmspublic2018-02-19 14:28
ReporterIstvan Csanady Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.2.0Fixed in Version7.2.0 
Summary0026516: Creating revolved shapes fails in some cases
DescriptionAn edge case is not verified in BRepSweep_Rotation::HasShape.

A possible patch is attached.

To reproduce, try to revolve the attached shape around the X axis [(0,0,0), (1, 0, 0)]
TagsNo tags attached.
Test case numberbugs modalg_7 bug26516

Attached Files

  • revolve_bug.zip (1,623 bytes)

Activities

Istvan Csanady

2015-08-04 18:23

developer  

revolve_bug.zip (1,623 bytes)

git

2017-08-14 12:53

administrator   ~0069345

Branch CR26516 has been created by apv.

SHA-1: 6d9af65cfd3d2a1d2ab7eabe2ff3f535b1448506


Detailed log of new commits:

Author: apv
Date: Mon Aug 14 12:53:21 2017 +0300

    0026516: Creating revolved shapes fails in some cases

apv

2017-08-14 12:57

tester   ~0069348

Dear BugMaster,

Problem described in issue is not reproduced on current state of OCCT.
Problem has been solved in OCCT7.2.0.

Please integrate branch CR26516 into the occt git-repository master.

git

2017-08-18 17:00

administrator   ~0069606

Branch CR26516 has been deleted by kgv.

SHA-1: 6d9af65cfd3d2a1d2ab7eabe2ff3f535b1448506

Related Changesets

occt: master a2456ed8

2017-08-14 09:53:21

apv


Committer: bugmaster Details Diff
0026516: Creating revolved shapes fails in some cases Affected Issues
0026516
add - tests/bugs/modalg_7/bug26516 Diff File

Issue History

Date Modified Username Field Change
2015-08-04 18:23 Istvan Csanady New Issue
2015-08-04 18:23 Istvan Csanady Assigned To => msv
2015-08-04 18:23 Istvan Csanady File Added: revolve_bug.zip
2015-10-28 17:56 msv Target Version 7.0.0 => 7.1.0
2016-10-28 17:03 msv Target Version 7.1.0 => 7.2.0
2017-07-21 11:34 msv Target Version 7.2.0 => 7.3.0
2017-08-14 12:53 git Note Added: 0069345
2017-08-14 12:56 apv Assigned To msv => apv
2017-08-14 12:56 apv Status new => feedback
2017-08-14 12:57 apv Test case number => bugs modalg_7 bug26516
2017-08-14 12:57 apv Note Added: 0069348
2017-08-14 12:57 apv Assigned To apv => bugmaster
2017-08-14 12:57 apv Status feedback => tested
2017-08-14 12:57 apv Fixed in Version => 7.2.0
2017-08-18 12:53 bugmaster Changeset attached => occt master a2456ed8
2017-08-18 12:53 bugmaster Status tested => verified
2017-08-18 12:53 bugmaster Resolution open => fixed
2017-08-18 17:00 git Note Added: 0069606
2017-12-04 20:53 kgv Target Version 7.3.0 => 7.2.0
2018-02-19 10:35 abv Target Version 7.2.0 => 7.4.0
2018-02-19 14:27 abv Target Version 7.4.0 => 7.2.0
2018-02-19 14:28 abv Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.